## ros-noetic-rosserial-server 0.9.2

=== debian/changelog ===
ros-noetic-rosserial-server (0.9.2-1focal) focal; urgency=high

  * Add python3-dev as build depend (#544 <https://github.com/ros-drivers/rosserial/issues/544>)
  * Contributors: Tobias Fischer

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-server (0.9.1-1focal) focal; urgency=high

  * Add boost::thread dependency to rosserial_server (#513 <https://github.com/ros-drivers/rosserial/issues/513>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-server (0.9.0-1focal) focal; urgency=high

  * Only initialize embedded python interpreter once. (#491 <https://github.com/ros-drivers/rosserial/issues/491>)
  * Port 482 and 483 forward from Melodic branch (#492 <https://github.com/ros-drivers/rosserial/issues/492>)
  * Fix warning when using std_msgs/Empty (#482 <https://github.com/ros-drivers/rosserial/issues/482>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Removed unused service client for message info service (#481 <https://github.com/ros-drivers/rosserial/issues/481>)
  * Call io_service.stop() when ros::ok() returns false (#477 <https://github.com/ros-drivers/rosserial/issues/477>)
  * Call Py_Finalize before throwing exception (#476 <https://github.com/ros-drivers/rosserial/issues/476>)
  * [Windows] use c++ signed trait to replace ssize_t for better portability. (#463 <https://github.com/ros-drivers/rosserial/issues/463>)
  * Port rosserial_server to Boost 1.71. (#468 <https://github.com/ros-drivers/rosserial/issues/468>)
  * rosserial_server: update install rules for binary targets (#457 <https://github.com/ros-drivers/rosserial/issues/457>)
  * Fix bug: assign the md5 for service (#449 <https://github.com/ros-drivers/rosserial/issues/449>)
  * Contributors: Hermann von Kleist, Johannes Meyer, Mike Purvis, Sean Yen, 趙　漠居(Zhao, Moju)

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-server (0.8.0-1focal) focal; urgency=high

  * Fix compiling on boost > 1.66 (#362 <https://github.com/ros-drivers/rosserial/issues/362>)
    Reflective of changes made to boost::asio noted here:
    http://www.boost.org/doc/libs/1_66_0/doc/html/boost_asio/net_ts.html
  * Contributors: Fan Jiang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-server (0.7.7-1focal) focal; urgency=high

  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-server (0.7.6-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-server (0.7.5-1focal) focal; urgency=high

  * Fixing build errors for boost >=1.60 (#226 <https://github.com/ros-drivers/rosserial/issues/226>) (#250 <https://github.com/ros-drivers/rosserial/issues/250>)
  * Contributors: Malte Splietker

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-server (0.7.4-1focal) focal; urgency=high

  * Use catkin_EXPORTED_TARGETS to avoid CMake warning (#246 <https://github.com/ros-drivers/rosserial/issues/246>)
  * Fix AsyncReadBuffer for UDP socket case. (#245 <https://github.com/ros-drivers/rosserial/issues/245>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-server (0.7.3-1focal) focal; urgency=high

  * Avoid runaway async condition when port is bad. (#236 <https://github.com/ros-drivers/rosserial/issues/236>)
  * Add missing install rule for udp_socket_node
  * Make the ~require param configurable from Session. (#233 <https://github.com/ros-drivers/rosserial/issues/233>)
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-server (0.7.2-1focal) focal; urgency=high

  * Implementation of native UDP rosserial server. (#231 <https://github.com/ros-drivers/rosserial/issues/231>)
  * Explicit session lifecycle for the serial server. (#228 <https://github.com/ros-drivers/rosserial/issues/228>)
    This is a long overdue change which will resolve some crashes when
    USB serial devices return error states in the face of noise or other
    interruptions.
  * Support for VER1 protocol has been dropped.
  * Handle log messages in rosserial_server
  * Contributors: Mike Purvis, mkrauter

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-server (0.7.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-noetic-rosserial-server (0.7.0-1focal) focal; urgency=high

  * Fill out description field in package.xml.
  * Bugfix for checksum.
    Publishing topics fails when messages are over 256 bytes in length due to checksum() function or'ing high and low byte instead of adding them.
  * rosserial_server: Properly receive messages > 255 bytes.
  * Contributors: Chad Attermann, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-noetic-rosserial-server (0.6.3-1focal) focal; urgency=high

  * Add more log output, don't end the session for certain write errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-noetic-rosserial-server (0.6.2-1focal) focal; urgency=high

  * Bugfix for interrupted sessions.
    This is a two-part fix for an issue causes a segfault when the device
    disappears during operation, for example a ttyACM device which is unplugged.
    The AsyncReadBuffer part avoids calling a callback after the object
    owning it has destructed, and the SerialSession part avoids recreating

