=== debian/control ===
Source: ros-noetic-rosserial-server
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, python3-dev, ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-rosserial-msgs, ros-noetic-std-msgs, ros-noetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosserial-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread1.71.0, ros-noetic-roscpp, ros-noetic-rosserial-msgs, ros-noetic-std-msgs, ros-noetic-topic-tools
Description: A more performance- and stability-oriented server alternative implemented in C++ to rosserial_python.
